Fedora Users Forum

Fedoraユーザのためのサポートフォーラム
現在時刻 - 2019年7月21日(日) 15:36

All times are UTC + 9 hours





新しいトピックを投稿する トピックへ返信する  [ 18 件の記事 ]  ページ移動 1, 2  次へ
作成者 メッセージ
 記事の件名: [解決済み]yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 06:49 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年7月10日(金) 09:54
記事: 49
のですが回避方法を教えてください。
なお、エラーメッセージは
Cannot get lock
Canoot get the exclusive lock on the packaging backend.
Please close any other legacy packaging tools that may be open.
です。
More details
Yum is locked by another application. details: None


パーミッションが与えられていないため、記事の添付ファイルを見ることができません


最後に編集したユーザー nubou [ 2009年7月14日(火) 08:29 ], 累計 1 回

トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 12:58 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2008年9月09日(火) 22:18
記事: 146
引用:
コード:
# package-cleanup --problems
# package-cleanup --dupes
# package-cleanup --orphans

は実行しておいた方がよいでしょう(そんなコマンドがないと怒られたらyum install package-cleanupでインストールしてください)。

上から、「問題が発生しているパッケージ」、「重複しているパッケージ」、「現在のリポジトリに登録されていないパッケージ」を一覧表示してくれます。

問題があるものは削除が必要でしょうし、重複も古い方を削除した方がよいでしょう(アップグレードの場合、普段はしないはずのパッケージが重複している事がままあります)。但し、64bit版をお使いの場合、32bit版と重複している事は必ずしも悪いことではないので注意しましょう。32bit版をお使いでしたら重複はすべきでないです。

最後のは、個別に対処する必要があります。プロプライエタリなパッケージの場合もここに列挙されるので、必ずしも削除すべきとは限りません。パッケージを見て、「あぁ、これは古いからもういらないな」と思えば削除しましょう。


これ やってみてもらえます?

でも rawhideにチェックがはいってるだけかも?


トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 13:33 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年7月10日(金) 09:54
記事: 49
ありがとうございます。
ご提案の処理をしたためか今はエラーはでなくなりました。
ところで現在リポジトリが死んでいるのではないでしょうか?
アップデートが成功しません。
よろしくお願いします。


最後に編集したユーザー nubou [ 2009年7月13日(月) 18:15 ], 累計 1 回

トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 14:37 
オフライン
プライベートメッセージ送信  プロフィール

登録日時: 2009年6月21日(日) 23:35
記事: 101
所在地: 愛知県
2009年7月13日月曜日13時から14時の間ですが、
yum -y update で、私のPCのupdate出来ていますので国内ミラーサイトは正常に動作していました。
余談ですが、このupdateのおかげで、FDDのおかしな現象が改善されてきています。ありがたきことですね。
転送速度もさほど遅くはありませんでしたょ。
参考になれば・・


トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 14:41 
オフライン
Site Admin
アバター
プライベートメッセージ送信  メール  WWW  プロフィール

登録日時: 2008年9月08日(月) 21:17
記事: 428
所在地: 東京都
初心者のGさんと同時間帯にアップデートしましたが、家でも問題ありませんでした。

僕も端末からyumでやりました。


トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 16:09 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年7月10日(金) 09:54
記事: 49
初心者のG さん
vine_user さん
ありがとうございます。
私の所ではエラーばかりでアップデートできません。
デフォルトミラーサイトであることが原因なのかもしれません。
もう少し様子をみてリポジトリが治らなければ何とかしようと思います。

なお、アップデート時に問題を引き起こしているパッケージは以下のものです。

alsa-plugins-pulseaudio i586 1.0.20-2.fc11 updates 37 k
dbus-cxx i586 0.4.1-1.fc11 updates 166 k
dbus-cxx-devel i586 0.4.1-1.fc11 updates 52 k
dbus-cxx-doc i586 0.4.1-1.fc11 updates 25 M
dbus-cxx-tools i586 0.4.1-1.fc11 updates 63 k
dhclient i586 12:4.1.0-22.fc11 updates 345 k
farsight2 i586 0.0.12-1.fc11 updates 162 k
gdb i586 6.8.50.20090302-33.fc11 updates 2.2 M
gnome-common noarch 2.26.0-2.fc11 updates 37 k
grubby i586 6.0.87-1.fc11 updates 94 k
mkinitrd i586 6.0.87-1.fc11 updates 90 k
nash i586 6.0.87-1.fc11 updates 168 k


F11インストール失敗の原因のパッケージは
dhclient
です。


トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 19:58 
オフライン
プライベートメッセージ送信  WWW  プロフィール

登録日時: 2008年9月13日(土) 12:37
記事: 250
所在地: 兵庫県
今改めて添付された画像を見てみると、私が最初に思っていた理由とは違ってそうです。
/etc/yum.repos.d/fedora.repoの内容を添付していただけませんか?
mirrorlistが適切ではない気がします。画像を見たところ、国外のミラーを見に行っているようなので。

可能でしたら
コード:
# yum install yum-plugin-fastmirror

でプラグインをインストールしてください。これで国内ミラーを優先的に見てくれるはずです。
yumが使えないということでしたら、

からパッケージをDLしてインストールしてみてください。

件のエラーはバックで動いていたyumのアップデーターがタイムアウトを繰り返し、端末からのyumがロックを掛けられずにエラーが出たんじゃないかと思ってたんですが、根本的な原因は別のところにありそうですねぇ。


トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 20:24 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年7月10日(金) 09:54
記事: 49
code_air_edgeさん ありがとうございます。

# vi /etc/yum.repos.d/fedora.repo
[fedora]
name=Fedora $releasever - $basearch
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
enabled=1
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

[fedora-debuginfo]
name=Fedora $releasever - $basearch - Debug
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

[fedora-source]
name=Fedora $releasever - Source
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/source/SRPMS/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-source-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

です。
また、
# yum install yum-plugin-fastmirror
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.iij.ad.jp
* rpmfusion-free: mirror.transact.net.au
* rpmfusion-free-updates: mirror.transact.net.au
* rpmfusion-nonfree: mirror.transact.net.au
* rpmfusion-nonfree-updates: mirror.transact.net.au
* updates: ftp.iij.ad.jp
Setting up Install Process
No package yum-plugin-fastmirror available.
Nothing to do
# yum list "*fastmirror*"
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.iij.ad.jp
* rpmfusion-free: mirror.transact.net.au
* rpmfusion-free-updates: mirror.transact.net.au
* rpmfusion-nonfree: mirror.transact.net.au
* rpmfusion-nonfree-updates: mirror.transact.net.au
* updates: ftp.iij.ad.jp
Error: No matching Packages to list
#
となって
yum-plugin-fastmirror
は存在しないので代わりに
yum-fastestmirror
を使いました。
# yum -y install yum-fastestmirror
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.iij.ad.jp
* rpmfusion-free: mirror.transact.net.au
* rpmfusion-free-updates: mirror.transact.net.au
* rpmfusion-nonfree: mirror.transact.net.au
* rpmfusion-nonfree-updates: mirror.transact.net.au
* updates: ftp.iij.ad.jp
Setting up Install Process
Package yum-plugin-fastestmirror-1.1.22-1.fc11.noarch already installed and latest version
Nothing to do
#

ご提案された時には入っていなかったのですが今は入っているので上記のようなメッセージになります。
やはりアップデートはできませんでした。
エラーメッセージは以下のとおりです。

# yum update -y
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.iij.ad.jp
* rpmfusion-free: mirror.transact.net.au
* rpmfusion-free-updates: mirror.transact.net.au
* rpmfusion-nonfree: mirror.transact.net.au
* rpmfusion-nonfree-updates: mirror.transact.net.au
* updates: ftp.iij.ad.jp
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package alsa-plugins-pulseaudio.i586 0:1.0.20-2.fc11 set to be updated
---> Package dbus-cxx.i586 0:0.4.1-1.fc11 set to be updated
---> Package dbus-cxx-devel.i586 0:0.4.1-1.fc11 set to be updated
---> Package dbus-cxx-doc.i586 0:0.4.1-1.fc11 set to be updated
---> Package dbus-cxx-tools.i586 0:0.4.1-1.fc11 set to be updated
---> Package dhclient.i586 12:4.1.0-22.fc11 set to be updated
---> Package farsight2.i586 0:0.0.12-1.fc11 set to be updated
---> Package gdb.i586 0:6.8.50.20090302-33.fc11 set to be updated
---> Package gnome-common.noarch 0:2.26.0-2.fc11 set to be updated
---> Package grubby.i586 0:6.0.87-1.fc11 set to be updated
---> Package gstreamer-plugins-good.i586 0:0.10.15-3.fc11 set to be updated
---> Package mkinitrd.i586 0:6.0.87-1.fc11 set to be updated
---> Package nash.i586 0:6.0.87-1.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================
Package Arch Version Repository Size
==================================================================================================
Installing:
gstreamer-plugins-good i586 0.10.15-3.fc11 updates 1.3 M
replacing gstreamer-plugins-farsight.i586 0.12.10-2.fc11

Updating:
alsa-plugins-pulseaudio i586 1.0.20-2.fc11 updates 37 k
dbus-cxx i586 0.4.1-1.fc11 updates 166 k
dbus-cxx-devel i586 0.4.1-1.fc11 updates 52 k
dbus-cxx-doc i586 0.4.1-1.fc11 updates 25 M
dbus-cxx-tools i586 0.4.1-1.fc11 updates 63 k
dhclient i586 12:4.1.0-22.fc11 updates 345 k
farsight2 i586 0.0.12-1.fc11 updates 162 k
gdb i586 6.8.50.20090302-33.fc11 updates 2.2 M
gnome-common noarch 2.26.0-2.fc11 updates 37 k
grubby i586 6.0.87-1.fc11 updates 94 k
mkinitrd i586 6.0.87-1.fc11 updates 90 k
nash i586 6.0.87-1.fc11 updates 168 k

Transaction Summary
==================================================================================================
Install 1 Package(s)
Update 12 Package(s)
Remove 0 Package(s)
............................................................................................................................................................................................................................
..............................................................................................................
..............................................................................................................
Error Downloading Packages:
grubby-6.0.87-1.fc11.i586: failure: grubby-6.0.87-1.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
dbus-cxx-devel-0.4.1-1.fc11.i586: failure: dbus-cxx-devel-0.4.1-1.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
farsight2-0.0.12-1.fc11.i586: failure: farsight2-0.0.12-1.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
12:dhclient-4.1.0-22.fc11.i586: failure: dhclient-4.1.0-22.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
gnome-common-2.26.0-2.fc11.noarch: failure: gnome-common-2.26.0-2.fc11.noarch.rpm from updates: (256, 'No more mirrors to try.')
alsa-plugins-pulseaudio-1.0.20-2.fc11.i586: failure: alsa-plugins-pulseaudio-1.0.20-2.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
gstreamer-plugins-good-0.10.15-3.fc11.i586: failure: gstreamer-plugins-good-0.10.15-3.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
dbus-cxx-doc-0.4.1-1.fc11.i586: failure: dbus-cxx-doc-0.4.1-1.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
dbus-cxx-0.4.1-1.fc11.i586: failure: dbus-cxx-0.4.1-1.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
gdb-6.8.50.20090302-33.fc11.i586: failure: gdb-6.8.50.20090302-33.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
dbus-cxx-tools-0.4.1-1.fc11.i586: failure: dbus-cxx-tools-0.4.1-1.fc11.i586.rpm from updates: (256, 'No more mirrors to try.')
#


よろしくお願いします。


トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 21:35 
オフライン
プライベートメッセージ送信  WWW  プロフィール

登録日時: 2008年9月13日(土) 12:37
記事: 250
所在地: 兵庫県
ありゃりゃ、ちゃんと国内ミラーを見るようになったのにダメなのか…。

fedora.repoは正常ですね。住みません私の見当違いだった用です。

あとはyumのキャッシュを消してみますか。
コード:
# yum clean all

ぱっと見たところ、mkinitrdやnashといったパッケージはエラーが出ていないんですかね?
dhclientがダウンロードできなかったところに問題があるのかもしれませんねぇ。

dhclientが問題であるならば、hideさんが示されているpackage-cleanupで出てきても良さそうなものですが…。
こいつが問題だと言うならば、先に示した理研のページから直接RPMを拾ってきてインストールしてもよいかもしれませんね。


トップへ
 
 記事の件名: Re: yum -y updateでエラーメッセージボックスが出た
投稿記事Posted: 2009年7月13日(月) 21:55 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年7月10日(金) 09:54
記事: 49
---------
code_air_edge さん ありがとうございます。

やはりyum clean allしてもダメでした。
yum clean all はときどきやっているのでそれではないと思います。
実は更新が30個あまりあったのですが
まとめてアップデートするとアップデートできるものもできなくなるので一個一個アップデートして最後に残ったのが前述の12個名のです。
したがってdhclientだけが問題ではなく12個のうちどれ1つ単独でアップデートしてもアウトです。
dhclientはF11のネットワークインストールのときに引っかかりそれまでできていたF11のネットワークインストールができなくなってしまいました。
土曜日は遅いながらもなんとかF11のネットワークインストールができました。
日曜日からF11のネットワークインストールができなくなっているのです。
一週間前はF11は短時間でインストールできていましたからdhclientがDLできなくなったのは日曜日からです。
土曜日は辛うじてDLでいるミラーがわずかに残っていたので遅いながらもネットワークインストールができたものと思われます。
やはり多分リポジトリがいくつかの特定のファイルに対してDLできなくなっているような気がします。
同じ目にあっている人もおそらく少なからずいるのではないでしょうか?
アップデートが成功している人は多分問題のファイルを使用していないアップデートだから成功しているのでしょう。
しばらくするばリポジトリが修復されることを祈っています。


トップへ
 
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 18 件の記事 ]  ページ移動 1, 2  次へ

All times are UTC + 9 hours


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[0人]


トピック投稿: 不可
返信投稿: 不可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
cron

無料でマイフォーラムを作成する! · php-BB© · Internationalization Project · 不正利用を報告する · 使用条件/プライバシーポリシー
© Forums-Free.com 2009